import 'package:flutter/material.dart';
import 'package:factory_signage_app/const/colors.dart';
import 'package:factory_signage_app/const/dimens.dart';

class ProgressTitle extends StatelessWidget {
  const ProgressTitle(
    this.data, {
    super.key,
    this.size = const Size(double.infinity, double.infinity),
  });

  final String data;
  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;

    return SizedBox(
      width: size.width,
      height: size.height,
      child: progressTitle(widgetSize),
    );
  }

  Widget progressTitle(Size widgetSize) {
    return Container(
      alignment: Alignment.center,
      color: textBackgroundColor,
      child: Text(
        data,
        style: TextStyle(
          color: textWhiteColor,
          fontSize: graphTitleFontSizeRatio * widgetSize.height,
        ),
      ),
    );
  }
}
